import { ApiService } from './api/api';
import { Account } from './schema';
import { Observable } from 'rxjs';
export interface LoginDetails {
    login: string;
    password: string;
}
export declare class AccountService {
    private apiService;
    constructor(apiService: ApiService);
    login(details: LoginDetails): Observable<Account>;
    spotlight(): Observable<any>;
    lists(): Observable<any>;
    listById(id: number): Observable<any>;
    radios(): Observable<any>;
    private getRequestOptions();
    interact(params: InteractParams): Observable<any>;
}
export interface InteractParams {
    id_track: number;
    id_container: number;
    container_type: ContainerType;
    action: Action;
}
export declare enum ContainerType {
    list = 0,
}
export declare enum Action {
    like = 0,
    dislike = 1,
    skip = 2,
}
