import { Http, RequestOptionsArgs } from '@angular/http';
import { Observable, Subject } from 'rxjs/Rx';
import { Config } from '../config';
import 'rxjs/add/operator/map';
import { Secure } from './authorised-request';
import 'rxjs/add/operator/mergeMap';
export interface ApiTokenStore {
    events: Subject<any>;
    get(): Observable<{
        authToken: string;
        refreshToken: string;
    }>;
}
export declare class ApiService {
    private http;
    private config;
    private secure;
    constructor(http: Http, config: Config, secure: Secure);
    authorised(method: string, path: string, data?: any, options?: RequestOptionsArgs): Observable<any>;
    call(method: string, path: string, data?: any, options?: RequestOptionsArgs): any;
    post(path: string, data: any, options?: RequestOptionsArgs): any;
    private getPath(path);
}
